Subject: Re: [bitcoin-dev] Moving towards user activated soft fork activation

From: Eric Voskuil <[email-masked]>
Date: Tue, 7 Mar 2017 10:13:36 -0800

> Bitcoin would lose the security and in the short term even the ability to 
mine blocks every 10 minutes.

Presumably a POW hard fork would be accompanied by a difficulty reset, so that the deployment didn't have *both* of these problems from the outset.  There's really little difference between 10 minutes at little/no security and zero conf. See testnet. But people might feel better about still seeing blocks.

But in any case it's not clear to me why you assume a loss of security in the "short term" is something that can be overcome. The short term can presumably prevent the long term from ever becoming.

e

> On Mar 7, 2017, at 1:17 AM, Tom Zander via bitcoin-dev <[email-masked]> wrote:
> 
>> On Tuesday, 7 March 2017 00:23:47 CET Gareth Williams via bitcoin-dev wrote:
>> What you're describing is a hashpower activated soft fork to censor
>> transactions, in response to a user activated soft fork that the majority
>> of hashpower disagrees with.
> 
> It is incorrect to say that censoring of transactions is what Edmund 
> suggested. It's purely about the form they take, you can re-send the 
> transaction in a different form with the same content and they go through. 
> Hence, not transaction censoring.
> 
> I do believe the point that Edmund brought up is a very good one, the idea 
> that a set of users can force the miners to do something is rather silly and 
> the setup that a minority miner fraction can force the majority to do 
> something is equally silly. This is because the majority mining hashpower 
> can fight back against this attack upon them.
> 
> Don’t be mistaken; a hash-minority attacking the hash-majority is in actual 
> fact an attack upon Bitcoin as a whole.
> If this were possible then next year we’d see governments try to push 
> through changes in the same UASF way. I’m very happy that UASFs can’t work 
> because that would be the end of Bitcoin's freedom and decentralized nature.
> 
>> It is always possible for a majority of hashpower to censor transactions
>> they disagree with. Users may view that as an attack, and can always
>> respond with a POW hard fork.
> 
> I definitely welcome that approach.
> 
> The result would be that you have two chains, but also you ensure that the 
> chain that the miners didn’t like will no longer be something they can mine. 
> Not even the minority set of miners that like the softfork can mine on it. 
> This is a win-win and then the market will decide which one will "win".
> 
>> Bitcoin only works if the majority of hashpower is not hostile to the
>> users.
> 
> This goes both ways, miners both generate value (in the form of security) 
> and they take value (in the form of inflation).
> If the majority of the users are hostile and reject blocks that the miners 
> create, or change the POW, then what the miners bring to the table is also 
> removed.
> Bitcoin would lose the security and in the short term even the ability to 
> mine blocks every 10 minutes.
> 
> So, lets correct your statement a little;
> «Bitcoin only works when the majority of the hashpower and the (economic)
>  majority of the users are balanced in power and have their goals aligned.»
> 
> -- 
> Tom Zander
> Blog: https://zander.github.io
> Vlog: https://vimeo.com/channels/tomscryptochannel
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev